package Clutter::Install::Files;

$self = {
          'inc' => '-D_REENTRANT -I/usr/include/clutter-0.8 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -I/usr/include/gtk-2.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -D_REENTRANT -I/usr/include/clutter-0.8/clutter-gst -I/usr/include/clutter-0.8 -I/usr/include/gstreamer-0.10 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -I/usr/include/gtk-2.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/libxml2  -DCLUTTERPERL_GST -D_REENTRANT -I/usr/include/clutter-0.8/clutter-cairo -I/usr/include/clutter-0.8 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -I/usr/include/gtk-2.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1  -DCLUTTERPERL_CAIRO -D_REENTRANT -I/usr/include/clutter-0.8/clutter-gtk -I/usr/include/clutter-0.8 -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0  -DCLUTTERPERL_GTK -I./build ',
          'typemaps' => [
                          'clutterperl.typemap',
                          'clutter.typemap'
                        ],
          'deps' => [
                      'GStreamer',
                      'Glib',
                      'Gtk2',
                      'Cairo'
                    ],
          'libs' => '-Wl,--export-dynamic -lclutter-glx-0.8 -lpangocairo-1.0 -lgthread-2.0 -lgdk_pixbuf_xlib-2.0 -ljson-glib-1.0 -lcairo -lpangoft2-1.0 -lglitz -lpng12 -lXrender -lpixman-1 -lX11 -lxcb-xlib -lxcb -lXau -lXdmcp -lpango-1.0 -lfontconfig -lexpat -lfreetype -lz -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv   -Wl,--export-dynamic -lclutter-gst-0.8 -lclutter-glx-0.8 -lgstbase-0.10 -lpangocairo-1.0 -lgdk_pixbuf_xlib-2.0 -ljson-glib-1.0 -lcairo -lpangoft2-1.0 -lglitz -lpng12 -lXrender -lpixman-1 -lX11 -lxcb-xlib -lxcb -lXau -lXdmcp -lpango-1.0 -lfontconfig -lexpat -lfreetype -lgdk_pixbuf-2.0 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lxml2 -lz -lm -lglib-2.0 -lintl -liconv   -Wl,--export-dynamic -lclutter-cairo-0.8 -lclutter-glx-0.8 -lpangocairo-1.0 -lgthread-2.0 -lgdk_pixbuf_xlib-2.0 -ljson-glib-1.0 -lcairo -lpangoft2-1.0 -lpango-1.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv -lfontconfig -lexpat -lfreetype -lglitz -lm -lpng12 -lz -lXrender -lpixman-1 -lX11 -lxcb-xlib -lxcb -lXau -lXdmcp   -Wl,--export-dynamic -lclutter-gtk-0.8 -lclutter-glx-0.8 -lgtk-x11-2.0 -lgthread-2.0 -lgdk_pixbuf_xlib-2.0 -ljson-glib-1.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lXi -lXrandr -lXcursor -lXdamage -lcairo -lpangoft2-1.0 -lpango-1.0 -lXext -lXfixes -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv -lfontconfig -lexpat -lfreetype -lglitz -lm -lpng12 -lz -lXrender -lpixman-1 -lX11 -lxcb-xlib -lxcb -lXau -lXdmcp  '
        };


# this is for backwards compatiblity
@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Clutter/Install/Files.pm") {
			$CORE = $_ . "/Clutter/Install/";
			last;
		}
	}

1;
